org.apache.tools.ant.taskdefs

## Class MacroDef.NestedSequential

- java.lang.Object
- - org.apache.tools.ant.taskdefs.MacroDef.NestedSequential

All Implemented Interfaces:
  TaskContainer

Enclosing class:
  MacroDef

    public static class MacroDef.NestedSequential
    extends java.lang.Object
    implements TaskContainer

The class corresponding to the sequential nested element. This is a simple task container.

### Constructor Summary

Constructors
Constructor and Description
`MacroDef.NestedSequential()`

### Method Summary

Methods
`void` `addTask(Task task)` Add a task or type to the container.
`java.util.List` `getNested()`
`boolean` `similar(MacroDef.NestedSequential other)` A compare function to compare this with another NestedSequential.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MacroDef.NestedSequential

    public MacroDef.NestedSequential()

### Method Detail

#### addTask

    public void addTask(Task task)

Add a task or type to the container.

Specified by:
  `addTask` in interface `TaskContainer`
Parameters:
  `task` - an unknown element.

#### getNested

    public java.util.List getNested()

Returns:
  the list of unknown elements

#### similar

    public boolean similar(MacroDef.NestedSequential other)

A compare function to compare this with another NestedSequential. It calls similar on the nested unknown elements.

Parameters:
  `other` - the nested sequential to compare with.
Returns:
  true if they are similar, false otherwise